Bug 174979 - Use LazyNeverDestroyed instead of DEFINE_GLOBAL
Summary: Use LazyNeverDestroyed instead of DEFINE_GLOBAL
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Fujii Hironori
URL:
Keywords: InRadar
Depends on: 175008 175010 175106 175118
Blocks: 172412
  Show dependency treegraph
 
Reported: 2017-07-31 02:25 PDT by Fujii Hironori
Modified: 2017-11-15 13:11 PST (History)
4 users (show)

See Also:


Attachments
Patch (14.59 KB, patch)
2017-11-01 00:32 PDT, Fujii Hironori
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fujii Hironori 2017-07-31 02:25:36 PDT
(In reply to Yusuke Suzuki from bug 172412 comment #7)
> For a long term solution, I think we should use LazyNeverDestroyed instead
> of DEFINE_GLOBAL hack.
Comment 1 Yusuke Suzuki 2017-07-31 03:12:59 PDT
FYI: https://bugs.webkit.org/show_bug.cgi?id=174150
Comment 2 Fujii Hironori 2017-11-01 00:32:05 PDT
Created attachment 325551 [details]
Patch
Comment 3 Yusuke Suzuki 2017-11-01 06:12:06 PDT
Comment on attachment 325551 [details]
Patch

r=me, awesome
Comment 4 WebKit Commit Bot 2017-11-01 06:31:39 PDT
Comment on attachment 325551 [details]
Patch

Clearing flags on attachment: 325551

Committed r224277: <https://trac.webkit.org/changeset/224277>
Comment 5 WebKit Commit Bot 2017-11-01 06:31:41 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Radar WebKit Bug Importer 2017-11-15 13:11:43 PST
<rdar://problem/35568968>